org.opencv.aruco

## Class GridBoard

- java.lang.Object
- - org.opencv.aruco.Board
  - - org.opencv.aruco.GridBoard

-     public class GridBoard
      extends Board

  Planar board with grid arrangement of markers More common type of board. All markers are placed in the same plane in a grid arrangement. The board can be drawn using drawPlanarBoard() function (SEE: drawPlanarBoard)

- - ### Field Summary

    - ### Fields inherited from class org.opencv.aruco.Board

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GridBoard(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GridBoard` | `__fromPtr__(long addr)`
    `static GridBoard` | `create(int markersX, int markersY, float markerLength, float markerSeparation, Dictionary dictionary)` Create a GridBoard object
    `static GridBoard` | `create(int markersX, int markersY, float markerLength, float markerSeparation, Dictionary dictionary, int firstMarker)` Create a GridBoard object
    `void` | `draw(Size outSize, Mat img)` Draw a GridBoard
    `void` | `draw(Size outSize, Mat img, int marginSize)` Draw a GridBoard
    `void` | `draw(Size outSize, Mat img, int marginSize, int borderBits)` Draw a GridBoard
    `protected void` | `finalize()`
    `Size` | `getGridSize()`
    `float` | `getMarkerLength()`
    `float` | `getMarkerSeparation()`

    - ### Methods inherited from class org.opencv.aruco.Board

      `create, get_dictionary, get_ids, get_objPoints, getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridBoard

          protected GridBoard(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static GridBoard __fromPtr__(long addr)

    - #### create

          public static GridBoard create(int markersX,
                                         int markersY,
                                         float markerLength,
                                         float markerSeparation,
                                         Dictionary dictionary,
                                         int firstMarker)

      Create a GridBoard object
      Parameters:
        `markersX` - number of markers in X direction
        `markersY` - number of markers in Y direction
        `markerLength` - marker side length (normally in meters)
        `markerSeparation` - separation between two markers (same unit as markerLength)
        `dictionary` - dictionary of markers indicating the type of markers
        `firstMarker` - id of first marker in dictionary to use on board.
      Returns:
        the output GridBoard object This functions creates a GridBoard object given the number of markers in each direction and the marker size and marker separation.

    - #### create

          public static GridBoard create(int markersX,
                                         int markersY,
                                         float markerLength,
                                         float markerSeparation,
                                         Dictionary dictionary)

      Create a GridBoard object
      Parameters:
        `markersX` - number of markers in X direction
        `markersY` - number of markers in Y direction
        `markerLength` - marker side length (normally in meters)
        `markerSeparation` - separation between two markers (same unit as markerLength)
        `dictionary` - dictionary of markers indicating the type of markers
      Returns:
        the output GridBoard object This functions creates a GridBoard object given the number of markers in each direction and the marker size and marker separation.

    - #### getGridSize

          public Size getGridSize()

    - #### getMarkerLength

          public float getMarkerLength()

    - #### getMarkerSeparation

          public float getMarkerSeparation()

    - #### draw

          public void draw(Size outSize,
                           Mat img,
                           int marginSize,
                           int borderBits)

      Draw a GridBoard
      Parameters:
        `outSize` - size of the output image in pixels.
        `img` - output image with the board. The size of this image will be outSize and the board will be on the center, keeping the board proportions.
        `marginSize` - minimum margins (in pixels) of the board in the output image
        `borderBits` - width of the marker borders. This function return the image of the GridBoard, ready to be printed.

    - #### draw

          public void draw(Size outSize,
                           Mat img,
                           int marginSize)

      Draw a GridBoard
      Parameters:
        `outSize` - size of the output image in pixels.
        `img` - output image with the board. The size of this image will be outSize and the board will be on the center, keeping the board proportions.
        `marginSize` - minimum margins (in pixels) of the board in the output image This function return the image of the GridBoard, ready to be printed.

    - #### draw

          public void draw(Size outSize,
                           Mat img)

      Draw a GridBoard
      Parameters:
        `outSize` - size of the output image in pixels.
        `img` - output image with the board. The size of this image will be outSize and the board will be on the center, keeping the board proportions. This function return the image of the GridBoard, ready to be printed.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Board`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7